var app = app || {};
app.curUser = (app.curUser || {});
app.curUser.name = (app.curUser.name || 'anonymous');
app.Lists = (app.Lists || {});

function sitsLogin() {
	app.User = Backbone.Model.extend({
		defaults: {
			_key: null,
			name: '',
			firstName: '',
			lastName: '',
			email: '',
			admin: false
		},
		idAttribute: '_key'
	});
	app.UserCollection = Backbone.Collection.extend({
		model: app.User,
		comparator: function (issue) {
			return issue.get('name');
		}
	});
	app.Lists.user = new app.UserCollection();
	jQuery.get("api/users", function(data) {
		_.each(data.users, function(user) {
			if(user !== 'root' && user !== 'backup') {
				jQuery.get("api/user/"+user, function(daten) {
					app.Lists.user.add(new app.User({_key: user, firstName: daten.userdata.firstName, lastName: daten.userdata.lastName, email: daten.userdata.email, name: daten.userdata.firstName + ' ' + daten.userdata.lastName, admin: daten.userdata.admin}));
				});
			}
		});
	});
  // Login-Maske erstellen
	var id = '#wiLgDlg';
	var mask = '#wiLginMask';
  
  //Get the screen height and width
  var maskHeight = jQuery(document).height();
  var maskWidth = jQuery(window).width();
  
  //Set heigth and width to mask to fill up the whole screen
  jQuery(mask).css({'width':maskWidth,'height':maskHeight});
  
  //transition effect		
  jQuery(mask).fadeIn(1000);	
  jQuery(mask).fadeTo("slow",0.8);	
  
  //Get the window height and width
  var winH = jQuery(window).height();
  var winW = jQuery(window).width();
            
  //Set the popup window to center
  jQuery(id).css('top',  winH/2-jQuery(id).height()/2);
  jQuery(id).css('left', winW/2-jQuery(id).width()/2);
  
  //transition effect
  jQuery(id).fadeIn(2000); 
  
  jQuery('#wiLginUsr').focus().select();

  jQuery("#wiLginBt").click(function() {
  	var p = jQuery('#wiLginPas').val();
  	var u = jQuery('#wiLginUsr').val();
  	if(p && p !== null && p.trim().length > 0 && u !== 'root')
  		p = CryptoJS.MD5(p).toString();
  	jQuery.post("api/login", JSON.stringify({username: u, password: p}),
  		function(data) {
  			if(data.success) {
  				jQuery(mask).hide();
  				jQuery('.wiLginWin').hide();
  				app.curUser.name = data.username;
  				app.curUser.data = data.user;
  				if(app.curUser.name == 'root' || app.curUser.data.admin)
  					jQuery('#menuMain').append('<option value="user">User</option>');
  				jQuery('#issuedlg').show();
  				app.PR.navigate("issue/list", true);
  			}
  		}
  	).fail(function(jqXHR, textStatus ) {
  		alert(jqXHR.responseJSON.error);
    });
  });
}
