'use strict';
var Foxx = require('org/arangodb/foxx');
var joi = require('joi');

module.exports = Foxx.Model.extend({
  schema: {
    // Describe the attributes with joi here
    _key: joi.string(),
    _id: joi.string().optional().empty(''),
    _rev: joi.string().optional().empty(''),
    name: joi.string(),
    sort: joi.number(),
    dftPriority: joi.boolean().optional()
  }
});
