'use strict';
var Foxx = require('org/arangodb/foxx');
var joi = require('joi');

module.exports = Foxx.Model.extend({
  schema: {
    // Describe the attributes with joi here
    _key: joi.string(),
    _id: joi.string().optional().empty(''),
    _rev: joi.string().optional().empty(''),
    text: joi.string(),
    title: joi.string(),
    createUser: joi.string(),
    createDate: joi.date(),
    issueKey: joi.string()
  }
});
